price
curl --request GET \
--url https://api.jup.ag/price/v3 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/price/v3"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/price/v3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"So11111111111111111111111111111111111111112": {
"createdAt": "2024-06-05T08:55:25.527Z",
"liquidity": 621679197.67,
"usdPrice": 147.48,
"blockId": 348004023,
"decimals": 9,
"priceChange24h": 1.29
},
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v": {
"createdAt": "2024-06-05T08:55:25.527Z",
"liquidity": 522175174.66,
"usdPrice": 0.9999,
"blockId": 348004025,
"decimals": 6,
"priceChange24h": -0.003
}
}API Reference
Price
Returns prices of specified tokens
GET
/
price
/
v3
price
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Comma separate to pass in multiple
Response
Successful response
Token addresses as keys
Show child attributes
Show child attributes
Was this page helpful?
⌘I
